package domain

type AlibabaWdkMarketingItempoolExcludeskucodeMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaWdkMarketingItempoolExcludeskucodeItemPoolSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult) SetData(v AlibabaWdkMarketingItempoolExcludeskucodeItemPoolSku) *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolExcludeskucodeMarketResult {
	s.Success = &v
	return s
}
